Subject: Re: [bug-diffutils] bug#27063: make check FAIL for diffutils-3.6

From: Jim Meyering <[email-masked]>
Date: Sat, 27 May 2017 08:15:59 -0700

On Wed, May 24, 2017 at 7:23 PM, Michael Felt <[email-masked]> wrote:
> PASS: filename-quoting
> FAIL: colors
> ============================================================================
> Testsuite summary for GNU diffutils 3.6
> ============================================================================
> # TOTAL: 20
> # PASS:  18
> # SKIP:  1
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See tests/test-suite.log
> Please report to [email-masked]
>
> SKIP: brief-vs-stat-zero-kernel-lies
> ====================================
>
> brief-vs-stat-zero-kernel-lies: skipped test: no /proc/cmdline file
> SKIP brief-vs-stat-zero-kernel-lies (exit status: 77)
>
> FAIL: colors
> ============
>
> --- exp 2017-05-25 02:17:39 +0000
> +++ out 2017-05-25 02:17:39 +0000
> @@ -1,5 +1,5 @@
> -^[[1m--- a     1970-01-01 00:00:00.000000000 +0000
> -+++ b  1970-01-01 00:00:00.000000000 +0000
> +^[[1m--- a     1970-01-01 00:00:00 +0000
> ++++ b  1970-01-01 00:00:00 +0000
>  ^[[0m^[[36m@@ -1 +1 @@^[[0m
>  ^[[31m-a^[[0m
>  ^[[32m+b^[[0m
> --- exp 2017-05-25 02:17:39 +0000
> +++ out 2017-05-25 02:17:39 +0000
> @@ -1,5 +1,5 @@
> -^[[33m--- a    1970-01-01 00:00:00.000000000 +0000
> -+++ b  1970-01-01 00:00:00.000000000 +0000
> +^[[33m--- a    1970-01-01 00:00:00 +0000
> ++++ b  1970-01-01 00:00:00 +0000
>  ^[[0m^[[36m@@ -1 +1 @@^[[0m
>  ^[[35m-a^[[0m
>  ^[[34m+b^[[0m
> printf: bad conversion
> printf: bad conversion
> rm: Directory /data/prj/gnu/diffutils-3.6/tests/gt-colors.Ehyg is not empty.
> FAIL colors (exit status: 1)
>
> Note: I run this on a NFS server, and I have seen tests FAIL due to
> something "strange" with NFS and deletion.

Thanks for the report.
Please tell us about the system and shell you're using.
It looks like your printf (possibly the shell's built-in one) cannot
handle usage like this:

  printf '%*s-a' 1000000 > a

As for the diff above, with the "actual" diff output lacking the
".000000000" part of the time stamp, I suspect you'll benefit from
running the test with bash. It seems like the test is somehow running
your system's diff, rather than the one just build in src/. FTR, it's
this test that is failing:

  returns_ 1 env TERM=dumb diff ---presume-output-tty --color=auto a b > out \

If you still have a problem when using bash, please include the output
of running "make check VERBOSE=YES".